Panda3D

Public Member Functions | List of all members
EggMorph< Parameter > Class Template Reference

A single <Dxyz> or <Duv> or some such entry. More...

`#include "eggMorph.h"`

Inheritance diagram for EggMorph< Parameter >:

## Public Member Functions
| EggMorph (const std::string &name, const Parameter &offset)
int | compare_to (const EggMorph< Parameter > &other, double threshold) const
| compare_to() compares a different space than the operator methods, which only check the name. More...
const Parameter & | get_offset () const
bool | operator!= (const EggMorph< Parameter > &other) const
bool | operator< (const EggMorph< Parameter > &other) const
bool | operator== (const EggMorph< Parameter > &other) const
void | output (std::ostream &out, const std::string &tag, int num_dimensions) const
void | set_offset (const Parameter &offset)
Public Member Functions inherited from Namable
| Namable (const std::string &initial_name="")
void | clear_name ()
| Resets the Namable's name to empty. More...
const std::string & | get_name () const
bool | has_name () const
| Returns true if the Namable has a nonempty name set, false if the name is empty. More...
void | output (std::ostream &out) const
| Outputs the Namable. More...
void | set_name (const std::string &name)
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Additional Inherited Members
Static Public Member Functions inherited from Namable
static TypeHandle | get_class_type ()
static void | init_type ()
Public Attributes inherited from Namable
| get_name
| set_name

## Detailed Description

### template<class Parameter>
class EggMorph< Parameter >

A single <Dxyz> or <Duv> or some such entry.

This simply contains the morph name and the offset value. The class EggMorph is actually a template class on the type of value that is being offset; the specific kinds of morphs are instantiated from this below.

Definition at line 30 of file eggMorph.h.

## Member Function Documentation

## ◆ compare_to()

template<class Parameter >

int EggMorph< Parameter >::compare_to | ( | const EggMorph< Parameter > & | other,
|  | double | threshold
| ) |  | const
| inline

compare_to() compares a different space than the operator methods, which only check the name.

compare_to() compares the name and the value as well.

Definition at line 78 of file eggMorph.I.

The documentation for this class was generated from the following files:

- panda/src/egg/eggMorph.h
- panda/src/egg/eggMorph.I